View Issue Details

IDProjectCategoryView StatusLast Update
0003075unrealircdpublic2013-05-07 06:19
ReporteraquanightAssigned Tonenolod 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSLinux GentooOS Version2.6.17
Product Version3.3-alpha0 
Target VersionFixed in Version3.4-alpha1 
Summary0003075: Log block fails silently for non-creatable log files.
DescriptionIf you try to set a log block, and the containing directory doesn't exist/isn't writable, unreal simply fails silently.
Steps To ReproduceCreate a log block to a file like: log/something.log, but don't create the directory log. Start ircd. It doesn't complain about not being able to write the log file, and simply silently fails any writes to that file.
Additional InformationProbably best to just do a writable test (ie: open for append then close) on the log file in _test_log?
TagsNo tags attached.
3rd party modules

Activities

WolfSage

2007-04-15 18:08

reporter   ~0013419

I think a warning should be thrown when the IRCd starts.

WolfSage

2007-05-14 18:41

reporter   ~0014138

Patched in .2043

nenolod

2013-05-07 06:18

reporter   ~0017516

http://hg.unrealircd.org/hg/unreal/rev/5da78bbde6fc

Issue History

Date Modified Username Field Change
2006-09-28 16:21 aquanight New Issue
2007-04-15 18:08 WolfSage Note Added: 0013419
2007-04-18 05:28 stskeeps Status new => acknowledged
2007-05-14 18:41 WolfSage Note Added: 0014138
2007-05-14 18:42 WolfSage Status acknowledged => resolved
2007-05-14 18:42 WolfSage Resolution open => fixed
2007-05-16 02:43 stskeeps Status resolved => assigned
2007-05-16 02:43 stskeeps Assigned To => WolfSage
2007-05-17 05:49 stskeeps Status assigned => resolved
2011-07-19 14:12 syzop Assigned To WolfSage =>
2011-07-19 14:12 syzop Status resolved => needs re porting
2013-05-07 06:18 nenolod Note Added: 0017516
2013-05-07 06:18 nenolod Status needs re porting => resolved
2013-05-07 06:18 nenolod Fixed in Version => 3.4-alpha1
2013-05-07 06:18 nenolod Assigned To => nenolod